<xml xmlns="https://developers.google.com/blockly/xml">
  <variables>
    <variable id="Bs:m)K*6Ovn#(Dc?HSn$">j</variable>
    <variable id="^LC,zbb4;8DCq:@AB5o%">k</variable>
    <variable id="Byl4c)JBFMYL{gF7%Su$">x</variable>
    <variable id=",qJj#1B%b]oL(;=v=Y2D">y</variable>
  </variables>
  <block type="mpython_display_fill" id="=g`Z%XTby?H(Zu4{yai5" x="-319" y="-351">
    <field name="display_fill">fill(0)</field>
    <next>
      <block type="mpython_display_DispChar_5lines" id="[}L:)6jMWx$7J{?yTADB">
        <field name="TEXTMODE">1</field>
        <value name="DispChar_5lines">
          <shadow type="mpython_4_lines" id="kKXMOl9Ez!TE*4)yh-5n">
            <field name="mpython_4_lines">0</field>
          </shadow>
        </value>
        <value name="message">
          <shadow type="text" id="=Hx#hIC4F~ZDrR_cbe;l">
            <field name="TEXT">  石头、剪刀、布游戏</field>
          </shadow>
        </value>
        <next>
          <block type="mpython_display_DispChar_5lines" id="4dwzczr;nT`dYd1vQ1S-">
            <field name="TEXTMODE">1</field>
            <value name="DispChar_5lines">
              <shadow type="mpython_4_lines" id="yd5_xibjxej:;gjoD!dA">
                <field name="mpython_4_lines">16</field>
              </shadow>
            </value>
            <value name="message">
              <shadow type="text" id="=}!OZl+q5OJr|9[$~egJ">
                <field name="TEXT">玩家1按A键玩家2按B键</field>
              </shadow>
            </value>
            <next>
              <block type="mpython_display_DispChar_5lines" id="pxN71%y~k6G~JMgrco,5">
                <field name="TEXTMODE">1</field>
                <value name="DispChar_5lines">
                  <shadow type="mpython_4_lines" id="sDpORb4UxnEr=QIqC.L#">
                    <field name="mpython_4_lines">32</field>
                  </shadow>
                </value>
                <value name="message">
                  <shadow type="text" id="pp{X(Z:f-g?06VC!WU.~">
                    <field name="TEXT">系统自动判断谁输谁赢</field>
                  </shadow>
                </value>
                <next>
                  <block type="mpython_display_DispChar_5lines" id="G~3wW0=1AS@i4pwdK1}8">
                    <field name="TEXTMODE">1</field>
                    <value name="DispChar_5lines">
                      <shadow type="mpython_4_lines" id="VKj~N#d82U6YIl#wP.2(">
                        <field name="mpython_4_lines">48</field>
                      </shadow>
                    </value>
                    <value name="message">
                      <shadow type="text" id="COCvi)nzPjgbe-YFyZ[e">
                        <field name="TEXT">       按P键开始玩</field>
                      </shadow>
                    </value>
                    <next>
                      <block type="mpython_display_Show" id="xH8c8xqreF4aM#$amL2{">
                        <next>
                          <block type="variables_set" id="HeQX{nzS=e$Ype$*-m=/">
                            <field name="VAR" id="Byl4c)JBFMYL{gF7%Su$">x</field>
                            <value name="VALUE">
                              <block type="math_number" id="DQ2,aN;;;nlNSuL+{k=a">
                                <field name="NUM">0</field>
                              </block>
                            </value>
                            <next>
                              <block type="variables_set" id="e/#`}C(c!3o`j(Y=WYFw">
                                <field name="VAR" id=",qJj#1B%b]oL(;=v=Y2D">y</field>
                                <value name="VALUE">
                                  <block type="math_number" id="+_Fo4p!D]va}Kk;q+0|H">
                                    <field name="NUM">0</field>
                                  </block>
                                </value>
                                <next>
                                  <block type="controls_repeat_forever" id="xwPTLz./8So6Zaew)H(;">
                                    <statement name="DO">
                                      <block type="controls_if" id="8.6s4#Sr(`A{`L=Rv{vp">
                                        <value name="IF0">
                                          <block type="logic_operation" id="tF}Z9hYU{nRhz$4VPF2}">
                                            <field name="OP">AND</field>
                                            <value name="A">
                                              <block type="logic_compare" id=")LI9y1J-fnQMH8]:J/mN">
                                                <field name="OP">NEQ</field>
                                                <value name="A">
                                                  <block type="variables_get" id=",3EX-w{CG^uJ|h%LabTq">
                                                    <field name="VAR" id="Byl4c)JBFMYL{gF7%Su$">x</field>
                                                  </block>
                                                </value>
                                                <value name="B">
                                                  <block type="math_number" id="|G4Yub-xMw2P=j#Kh;WR">
                                                    <field name="NUM">0</field>
                                                  </block>
                                                </value>
                                              </block>
                                            </value>
                                            <value name="B">
                                              <block type="logic_compare" id="UUMEbU^#u2e_E1*4nzlo">
                                                <field name="OP">NEQ</field>
                                                <value name="A">
                                                  <block type="variables_get" id="n]^AZh`^Cj6:wRNC.lUq">
                                                    <field name="VAR" id=",qJj#1B%b]oL(;=v=Y2D">y</field>
                                                  </block>
                                                </value>
                                                <value name="B">
                                                  <block type="math_number" id="?6Iu_/IpZ/,,5KF;.ip2">
                                                    <field name="NUM">0</field>
                                                  </block>
                                                </value>
                                              </block>
                                            </value>
                                          </block>
                                        </value>
                                        <statement name="DO0">
                                          <block type="procedures_callnoreturn" id="CPtqFziwxxq_qo2--d4?">
                                            <mutation name="panduan"/>
                                          </block>
                                        </statement>
                                      </block>
                                    </statement>
                                  </block>
                                </next>
                              </block>
                            </next>
                          </block>
                        </next>
                      </block>
                    </next>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </next>
      </block>
    </next>
  </block>
  <block type="mpython_touch_event" id="e@z.8{a,Hsr*%(3G6,!Z" x="237" y="-369">
    <field name="touchPad">P</field>
    <field name="action">pressed</field>
    <statement name="DO">
      <block type="variables_set" id="TK|,Q*cByJ$i%W2!X3..">
        <field name="VAR" id="Byl4c)JBFMYL{gF7%Su$">x</field>
        <value name="VALUE">
          <block type="math_number" id="5s.Rp=sUp[=?EIf{!*iR">
            <field name="NUM">0</field>
          </block>
        </value>
        <next>
          <block type="variables_set" id=";{h!LoVV-rFyh+j|kOY3">
            <field name="VAR" id=",qJj#1B%b]oL(;=v=Y2D">y</field>
            <value name="VALUE">
              <block type="math_number" id="ScR:ZnW8%%*7_Ads#y0X">
                <field name="NUM">0</field>
              </block>
            </value>
            <next>
              <block type="mpython_display_fill" id=":TY(Q{;V)b[{7A_iE,I9">
                <field name="display_fill">fill(0)</field>
                <next>
                  <block type="mpython_display_DispChar_5lines" id="nT@(vHmXIZitV^~SWI?Q">
                    <field name="TEXTMODE">1</field>
                    <value name="DispChar_5lines">
                      <shadow type="mpython_4_lines" id="aw/s+7YwvF-Q+6Nqk`+`">
                        <field name="mpython_4_lines">0</field>
                      </shadow>
                    </value>
                    <value name="message">
                      <shadow type="text" id="d0a7.odZ%(EX#:0VGF,H">
                        <field name="TEXT">玩家1按A键玩家2按B键</field>
                      </shadow>
                    </value>
                    <next>
                      <block type="mpython_display_Show" id="@7/%n39X$yn3MnWo|S;]"/>
                    </next>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </next>
      </block>
    </statement>
  </block>
  <block type="mpython_Interrupt_AB" id="bMGb$zaPu**Sj;i/{3qO" x="240" y="-178">
    <field name="button">button_a</field>
    <field name="action">down</field>
    <statement name="DO">
      <block type="variables_set" id="CBDZWKY,NTYFSSvN31a-">
        <field name="VAR" id="Byl4c)JBFMYL{gF7%Su$">x</field>
        <value name="VALUE">
          <block type="math_random_int" id="?Jz/*NQwvz~QFwNp%^%-">
            <value name="FROM">
              <shadow type="math_number" id="C?)!l~vG?t(lN*[-rEE8">
                <field name="NUM">1</field>
              </shadow>
            </value>
            <value name="TO">
              <shadow type="math_number" id="+OfBPF]C)L90g9LG[ibq">
                <field name="NUM">3</field>
              </shadow>
            </value>
          </block>
        </value>
        <next>
          <block type="procedures_callnoreturn" id="9fUs+!lLg/K0EHvGkh]:">
            <mutation name="xianshi">
              <arg name="j"/>
              <arg name="k"/>
            </mutation>
            <value name="ARG0">
              <block type="variables_get" id="D(=W:{K0c@w`NA6[e,+U">
                <field name="VAR" id="Byl4c)JBFMYL{gF7%Su$">x</field>
              </block>
            </value>
            <value name="ARG1">
              <block type="math_number" id="tz26Ga/Rl!?pnZ?u#8L3">
                <field name="NUM">10</field>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
  </block>
  <block type="mpython_Interrupt_AB" id="BZuRaAV$9#BrZR]1J2@w" x="240" y="-11">
    <field name="button">button_b</field>
    <field name="action">down</field>
    <statement name="DO">
      <block type="variables_set" id="(51d/Qt_U+-b8?4`k:1Y">
        <field name="VAR" id=",qJj#1B%b]oL(;=v=Y2D">y</field>
        <value name="VALUE">
          <block type="math_random_int" id="A)i3kX#Cxc9~Yv.X6dM1">
            <value name="FROM">
              <shadow type="math_number" id="Jse77CG[n[DTghE{[DTu">
                <field name="NUM">1</field>
              </shadow>
            </value>
            <value name="TO">
              <shadow type="math_number" id="|dCOqz?s+^QfO6hBxv6w">
                <field name="NUM">3</field>
              </shadow>
            </value>
          </block>
        </value>
        <next>
          <block type="procedures_callnoreturn" id="-b2f6hRL?S)=34ci|A@Q">
            <mutation name="xianshi">
              <arg name="j"/>
              <arg name="k"/>
            </mutation>
            <value name="ARG0">
              <block type="variables_get" id="r5@EZKp[x|]knnOb#j-*">
                <field name="VAR" id=",qJj#1B%b]oL(;=v=Y2D">y</field>
              </block>
            </value>
            <value name="ARG1">
              <block type="math_number" id="85Hkk=3{(kJcpQ2KY.{,">
                <field name="NUM">90</field>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
  </block>
  <block type="procedures_defnoreturn" id="ut;v.s]Yu^D{AiUo8tH^" x="-262" y="113">
    <mutation>
      <arg name="j" varid="Bs:m)K*6Ovn#(Dc?HSn$"/>
      <arg name="k" varid="^LC,zbb4;8DCq:@AB5o%"/>
    </mutation>
    <field name="NAME">xianshi</field>
    <statement name="STACK">
      <block type="controls_if" id="RE|ZIbs+BNKOF#m$d)vd">
        <value name="IF0">
          <block type="logic_compare" id="KFH3pVub|{~8RWx_5t+d">
            <field name="OP">EQ</field>
            <value name="A">
              <block type="variables_get" id="^1O)q`vdt?DBEjAE^e)`">
                <field name="VAR" id="Bs:m)K*6Ovn#(Dc?HSn$">j</field>
              </block>
            </value>
            <value name="B">
              <block type="math_number" id="IK2JXH[)Ydm]=np=6!Fg">
                <field name="NUM">1</field>
              </block>
            </value>
          </block>
        </value>
        <statement name="DO0">
          <block type="mpython_display_pbm_data" id="WS@B74YYan|bnH95K[pu">
            <value name="x">
              <shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="E00]*7V(|L}jmGIW;N%4">
                <field name="NUM">10</field>
              </shadow>
              <block type="variables_get" id="(Ck~,/.Fif$r5#ZO?jzt">
                <field name="VAR" id="^LC,zbb4;8DCq:@AB5o%">k</field>
              </block>
            </value>
            <value name="y">
              <shadow type="math_number" id=",)AQw7n:!2mu#Y:4HH?J">
                <field name="NUM">17</field>
              </shadow>
            </value>
            <value name="pbm_data">
              <block type="mpython_get_pbm_data" id="27e;HaDJu:$`%3mo,ja%">
                <field name="select">0</field>
                <value name="file_path">
                  <shadow type="mpython_pbm_image" id="7%-g=uJ6?HM.GKs$}C{m">
                    <field name="path">face/rock_s.pbm</field>
                  </shadow>
                </value>
              </block>
            </value>
          </block>
        </statement>
        <next>
          <block type="controls_if" id="ov!A,k7]+:f6P(,rj,%~">
            <value name="IF0">
              <block type="logic_compare" id="tozHFFx6plZwkxB1HO4h">
                <field name="OP">EQ</field>
                <value name="A">
                  <block type="variables_get" id="|kL~8]%aj0uooDk!UA0(">
                    <field name="VAR" id="Bs:m)K*6Ovn#(Dc?HSn$">j</field>
                  </block>
                </value>
                <value name="B">
                  <block type="math_number" id="+Mwd|GO!U_uDskQX0a91">
                    <field name="NUM">2</field>
                  </block>
                </value>
              </block>
            </value>
            <statement name="DO0">
              <block type="mpython_display_pbm_data" id="0wbZB@MAhD|36PU3s^$l">
                <value name="x">
                  <shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="E%w@ZiF;)lyp8uB*jp3.">
                    <field name="NUM">10</field>
                  </shadow>
                  <block type="variables_get" id="#Mf5AWHphW:33GprbTXn">
                    <field name="VAR" id="^LC,zbb4;8DCq:@AB5o%">k</field>
                  </block>
                </value>
                <value name="y">
                  <shadow type="math_number" id="M=r[!~PWzo8ekqvh|%ny">
                    <field name="NUM">17</field>
                  </shadow>
                </value>
                <value name="pbm_data">
                  <block type="mpython_get_pbm_data" id="Vru8Pl/[9-?#-~i%Un=A">
                    <field name="select">0</field>
                    <value name="file_path">
                      <shadow type="mpython_pbm_image" id="7G*_@[H*4G^#@S8ohWgf">
                        <field name="path">face/scissors_s.pbm</field>
                      </shadow>
                    </value>
                  </block>
                </value>
              </block>
            </statement>
            <next>
              <block type="controls_if" id="710}q1UgfX?n`Mg;wBG7">
                <value name="IF0">
                  <block type="logic_compare" id="S|W:V_N$@:+}$kt]GjpU">
                    <field name="OP">EQ</field>
                    <value name="A">
                      <block type="variables_get" id="i/lL|ZOmC(+(0{DGN_~v">
                        <field name="VAR" id="Bs:m)K*6Ovn#(Dc?HSn$">j</field>
                      </block>
                    </value>
                    <value name="B">
                      <block type="math_number" id="Y+u,Sd?FEWOwEAHKhv.n">
                        <field name="NUM">3</field>
                      </block>
                    </value>
                  </block>
                </value>
                <statement name="DO0">
                  <block type="mpython_display_pbm_data" id="0skFnDON]5?r/7V]b|KU">
                    <value name="x">
                      <shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="245|T+[*H(#=z-yRKHLC">
                        <field name="NUM">10</field>
                      </shadow>
                      <block type="variables_get" id="Fh3IMWtSuS%/9@)Jx5L8">
                        <field name="VAR" id="^LC,zbb4;8DCq:@AB5o%">k</field>
                      </block>
                    </value>
                    <value name="y">
                      <shadow type="math_number" id="Kq-BNIiC.IE:S1oNIuz~">
                        <field name="NUM">17</field>
                      </shadow>
                    </value>
                    <value name="pbm_data">
                      <block type="mpython_get_pbm_data" id="U9;6]yWj{~t7.ASV0a*L">
                        <field name="select">0</field>
                        <value name="file_path">
                          <shadow type="mpython_pbm_image" id="SCQbPf!Wd{z3|FNMGVda">
                            <field name="path">face/paper_s.pbm</field>
                          </shadow>
                        </value>
                      </block>
                    </value>
                  </block>
                </statement>
                <next>
                  <block type="mpython_display_Show" id="F{,YbPgO=CX:}]iOyR{*"/>
                </next>
              </block>
            </next>
          </block>
        </next>
      </block>
    </statement>
  </block>
  <block type="procedures_defnoreturn" id="RC}$T!(`rklnsT(T};#C" x="-263" y="788">
    <field name="NAME">panduan</field>
    <statement name="STACK">
      <block type="controls_if" id=".(:Keh(D4OcUi2vS]I9Z">
        <mutation else="1"/>
        <value name="IF0">
          <block type="logic_compare" id="HE^$]Goc:yb+.7n2E,yx">
            <field name="OP">EQ</field>
            <value name="A">
              <block type="variables_get" id="l7FfYldXRaEA0!K@pRZo">
                <field name="VAR" id="Byl4c)JBFMYL{gF7%Su$">x</field>
              </block>
            </value>
            <value name="B">
              <block type="variables_get" id="i,vtRxPY:N|,FyKW?(vS">
                <field name="VAR" id=",qJj#1B%b]oL(;=v=Y2D">y</field>
              </block>
            </value>
          </block>
        </value>
        <statement name="DO0">
          <block type="mpython_display_DispChar" id="g[35(~j*dD~)!8IOfOa8">
            <field name="TEXTMODE">1</field>
            <value name="x">
              <shadow type="math_number" id="-MUOz^KQ8`9H0:BSE.0N">
                <field name="NUM">50</field>
              </shadow>
            </value>
            <value name="y">
              <shadow type="math_number" id="!0lA9$1{d#:%B$?+~ctJ">
                <field name="NUM">50</field>
              </shadow>
            </value>
            <value name="message">
              <shadow type="text" id="9%k,K63)YS|vK4u~};C)">
                <field name="TEXT"> 打平</field>
              </shadow>
            </value>
          </block>
        </statement>
        <statement name="ELSE">
          <block type="controls_if" id="l0HPv]=qa#jA;]GgR/]D">
            <mutation else="1"/>
            <value name="IF0">
              <block type="logic_operation" id="}VnIaj_he3-1):M%2XJ+">
                <field name="OP">OR</field>
                <value name="A">
                  <block type="logic_compare" id="B8uMM=Dtg=1!^xNo.H!:">
                    <field name="OP">EQ</field>
                    <value name="A">
                      <block type="math_arithmetic" id="r(yRq]`,kjt*Rt33:etC">
                        <field name="OP">MINUS</field>
                        <value name="A">
                          <shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="63uzq]t=rJz?=nZwO712">
                            <field name="NUM">1</field>
                          </shadow>
                          <block type="variables_get" id="8M43PZgX@Wk0WtSB]^G4">
                            <field name="VAR" id="Byl4c)JBFMYL{gF7%Su$">x</field>
                          </block>
                        </value>
                        <value name="B">
                          <shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="`Zg{77;2Rw{hcj7n}/fk">
                            <field name="NUM">1</field>
                          </shadow>
                          <block type="variables_get" id="ho|qex^]6XKv--Ha%GW/">
                            <field name="VAR" id=",qJj#1B%b]oL(;=v=Y2D">y</field>
                          </block>
                        </value>
                      </block>
                    </value>
                    <value name="B">
                      <block type="math_number" id="%klfUEn%d$5_[v=qpg#u">
                        <field name="NUM">-1</field>
                      </block>
                    </value>
                  </block>
                </value>
                <value name="B">
                  <block type="logic_compare" id="i;Rj(D1MTG@Vx{uG3)6/">
                    <field name="OP">EQ</field>
                    <value name="A">
                      <block type="math_arithmetic" id="wn(sT|%o,U|;GW$,NPX~">
                        <field name="OP">MINUS</field>
                        <value name="A">
                          <shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="63uzq]t=rJz?=nZwO712">
                            <field name="NUM">1</field>
                          </shadow>
                          <block type="variables_get" id="z8Dt7$c09|U39D(Id/M8">
                            <field name="VAR" id="Byl4c)JBFMYL{gF7%Su$">x</field>
                          </block>
                        </value>
                        <value name="B">
                          <shadow xmlns="http://www.w3.org/1999/xhtml" type="math_number" id="`Zg{77;2Rw{hcj7n}/fk">
                            <field name="NUM">1</field>
                          </shadow>
                          <block type="variables_get" id="{dYk-5Rj/}lgE*l%1f|p">
                            <field name="VAR" id=",qJj#1B%b]oL(;=v=Y2D">y</field>
                          </block>
                        </value>
                      </block>
                    </value>
                    <value name="B">
                      <block type="math_number" id="f1aGuH;d(/.l2jKI:-HO">
                        <field name="NUM">2</field>
                      </block>
                    </value>
                  </block>
                </value>
              </block>
            </value>
            <statement name="DO0">
              <block type="mpython_display_DispChar" id="0`h]o(POa%e{xbD^)E;J">
                <field name="TEXTMODE">1</field>
                <value name="x">
                  <shadow type="math_number" id="@t~w.aYWK/6)V3u:O,e)">
                    <field name="NUM">50</field>
                  </shadow>
                </value>
                <value name="y">
                  <shadow type="math_number" id="*`iU|~J=);~GHomk:Q6C">
                    <field name="NUM">50</field>
                  </shadow>
                </value>
                <value name="message">
                  <shadow type="text" id="|@3upi=QePtetr%RQvEh">
                    <field name="TEXT">玩家1赢</field>
                  </shadow>
                </value>
              </block>
            </statement>
            <statement name="ELSE">
              <block type="mpython_display_DispChar" id="XI[j46X-fT~yV$`7Do3%">
                <field name="TEXTMODE">1</field>
                <value name="x">
                  <shadow type="math_number" id="8gna;n_~ThS7KzFs{4^H">
                    <field name="NUM">50</field>
                  </shadow>
                </value>
                <value name="y">
                  <shadow type="math_number" id="#s-MMWDtY}JTK+lO]U3M">
                    <field name="NUM">50</field>
                  </shadow>
                </value>
                <value name="message">
                  <shadow type="text" id="IKS;Cd%:[~xhjk~T$mIt">
                    <field name="TEXT">玩家2赢</field>
                  </shadow>
                </value>
              </block>
            </statement>
          </block>
        </statement>
        <next>
          <block type="mpython_display_Show" id="TF5xc,r^|)0dj1EK$3??"/>
        </next>
      </block>
    </statement>
  </block>
</xml>